Kerbal Space Program - Bug #13045

shift-mousewheel doesn't work on Mac
10/19/2016 01:31 PM - jdagostino1@gmail.com

Status: Closed Start date: 10/19/2016
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.2.1

Version: 1.2.0 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Running KSP 1.2.0 on macOS Sierra on a 15" MacBook Pro Retina with Logitech USB mouse
Expected behavior: shift-mousewheel zooms in and out in VAB, etc.
Observed behavior: With a normal USB mouse, shift-mousewheel does nothing

Note: bug only seems to occur on Mac version, and only with a normal USB mouse. Bug did not occur with Apple Magic Mouse, and
did not occur when | tested on Windows and Linux.

| think this is related to the fact that macOS will interpret shift-mousewheel as horizontal scroll, but there doesn't appear to be any
way to turn that off in the OS settings

History

#2 - 11/12/2016 07:32 AM - JPLRepo
- Status changed from New to Ready to Test
- Target version set to 1.2.1

- % Done changed from 0 to 80

This was changed with the 1.2.1 release.

e Add customizable binding for Editor Scroll Modifier for Zoom - default to left-command for OSX instead of left-shift.
Please test with KSP 1.2.1.
#3 - 12/02/2016 08:30 AM - JPLRepo

- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
